/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.client.client.ui.uinfo;

import java.util.List;

import org.dive4elements.river.client.client.FLYSConstants;

import com.smartgwt.client.widgets.form.fields.TextItem;

/**
 * @author Domenico Nardi Tironi
 *
 */
public class SingleBehaviour extends ValidationBehaviourSingleMultiInputItem {

    public SingleBehaviour(final List<String> validInputs, final String errorForItemMsg, final FLYSConstants MSG) {
        super(validInputs, errorForItemMsg, MSG);
    }

    public SingleBehaviour(final FLYSConstants msg) {
        super(msg);
    }

    @Override
    public void appendValue(final TextItem inputItem, final String value) {
        inputItem.setValue(value);
    }

    @Override
    public List<String> validate(final List<String> errors, final String inputValueString) {
        errors.addAll(this.validateSingleInput(inputValueString));
        return errors;
    }

    @Override
    public boolean isMultipleInputsAllowed() {
        return false;
    }

    @Override
    public String titleForCreateOld() {
        return null;
    }

}
